<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AllLocInfo
: <a class="el" href="_types_for_analysis_8h.html#a56b6d24357275b18d398c02bb03ebce4">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>BegEndDecompose
: <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">TypesForAnalysis.h</a>
</li>
<li>BegEndDecomposedLoc
: <a class="el" href="_types_for_analysis_8h.html#a5caea15d49e8347db5b51ff93c2a6c3b">TypesForAnalysis.h</a>
</li>
<li>BinaryOpProperties
: <a class="el" href="_types_for_analysis_8h.html#ae5dc60a2f3dc6fc2e7ce1b928dbf155d">TypesForAnalysis.h</a>
</li>
<li>BinaryOpPropertiesLight
: <a class="el" href="_types_for_analysis_8h.html#a24d243188049b36b82b1d6aaa30a5cdd">TypesForAnalysis.h</a>
</li>
<li>BlockType
: <a class="el" href="_types_for_analysis_8h.html#a3b1565f136a92f873d788adf7146a477">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CallExprProperties
: <a class="el" href="_types_for_analysis_8h.html#ac73c22e48850e04a7eff929856e9c280">TypesForAnalysis.h</a>
</li>
<li>CodePosForJSON
: <a class="el" href="_write_j_s_o_n_report_8h.html#a578f6f5c8934ca4575234e5d9dafa344">WriteJSONReport.h</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DeclRefExprProperties
: <a class="el" href="_types_for_analysis_8h.html#a128b1fd8e36d9c4260ad053405d9347e">TypesForAnalysis.h</a>
</li>
<li>DeclRefExprType
: <a class="el" href="_write_j_s_o_n_report_8h.html#a8358650885338051ed7d0f91a47dfebe">WriteJSONReport.h</a>
</li>
<li>DeclType
: <a class="el" href="_write_j_s_o_n_report_8h.html#a7f14070bb43391a2f7ef8ef77d4a480d">WriteJSONReport.h</a>
</li>
<li>Decompose
: <a class="el" href="_types_for_analysis_8h.html#a45caad7583c54ac3b9700c4390e6010a">TypesForAnalysis.h</a>
</li>
<li>DecompType
: <a class="el" href="_types_for_analysis_8h.html#a9b4dc91decf045d1989c67c6c864de7e">TypesForAnalysis.h</a>
</li>
<li>DefType
: <a class="el" href="_write_j_s_o_n_report_8h.html#a805f4fda00c9139f5be16ff50b2d724e">WriteJSONReport.h</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>EquationIdentifier
: <a class="el" href="_types_for_analysis_8h.html#a76f27a4d4eb21172a2b93d49ab9ea3bf">TypesForAnalysis.h</a>
</li>
<li>ExpansionInformation
: <a class="el" href="_types_for_analysis_8h.html#aaa0b385ae0e0061921a9f772fcf54245">TypesForAnalysis.h</a>
</li>
<li>ExpEval
: <a class="el" href="_types_for_analysis_8h.html#a6795ce27d2b800073e633c82c18fe161">TypesForAnalysis.h</a>
</li>
<li>ExpEvalResult
: <a class="el" href="_types_for_analysis_8h.html#a38b3b93b8e81ec12ccbf8e7eb7f3ae01">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FoundBlock
: <a class="el" href="_types_for_analysis_8h.html#a5834d4d7fb14c46ae3807ed4636243fa">TypesForAnalysis.h</a>
</li>
<li>FunctionDeclProperties
: <a class="el" href="_types_for_analysis_8h.html#ad81e22d3930deb4320f58ca33f8c2b37">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>ifType
: <a class="el" href="_write_j_s_o_n_report_8h.html#aa782f61f5ba16d9d48a90d0b4fd1d84f">WriteJSONReport.h</a>
</li>
<li>IndexPairType
: <a class="el" href="_types_for_analysis_8h.html#a29c7521904dc51a9962e912eecacbc5f">TypesForAnalysis.h</a>
</li>
<li>IntegerLiteralProperties
: <a class="el" href="_types_for_analysis_8h.html#ab141161ab7a38287f2648c4e4a9f6c2b">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>json
: <a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">WriteJSONReport.h</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>LeftRight
: <a class="el" href="_types_for_analysis_8h.html#a9c416c4e452447450ffce5c8dee58615">TypesForAnalysis.h</a>
</li>
<li>LocationInfo
: <a class="el" href="_types_for_analysis_8h.html#a5ce60b9aa9b78a6124b3a488d03bfb27">TypesForAnalysis.h</a>
</li>
<li>LocationInfoDetails
: <a class="el" href="_types_for_analysis_8h.html#a847d9b486c33b652b2daaabcb251d03b">TypesForAnalysis.h</a>
</li>
<li>LocEval
: <a class="el" href="_types_for_analysis_8h.html#a11e64bf010dfe56aa2f2923386449e8e">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MemberExprProp
: <a class="el" href="_types_for_analysis_8h.html#ae99be8d52b48bd1667d27579702f2ab1">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>NodeHierarchy
: <a class="el" href="_types_for_analysis_8h.html#ab90d14e24f9f009449b152bae48c3176">TypesForAnalysis.h</a>
</li>
<li>NodeTree
: <a class="el" href="_types_for_analysis_8h.html#a5451481e4b424458a33870c48feaab3f">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParenExprProperties
: <a class="el" href="_types_for_analysis_8h.html#a19fd03418a5f269b01c857427785a6d0">TypesForAnalysis.h</a>
</li>
<li>PosAsString
: <a class="el" href="_types_for_analysis_8h.html#a35e31c209f7ffb6c33248a40b5146dcf">TypesForAnalysis.h</a>
</li>
<li>ProcessBodyType
: <a class="el" href="_write_j_s_o_n_report_8h.html#a140bb9f5d5770e5fe62c922c445ec681">WriteJSONReport.h</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>ResLocPairsPerNode
: <a class="el" href="_types_for_analysis_8h.html#aeff6ff407c13982b67fd8a6f735de4ff">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SLocEntryPair
: <a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">TypesForAnalysis.h</a>
</li>
<li>SourceCodeSnippet
: <a class="el" href="_types_for_analysis_8h.html#a79ec6a538b8012123ee59b8e80cfc543">TypesForAnalysis.h</a>
</li>
<li>StatementIdentifier
: <a class="el" href="_types_for_analysis_8h.html#a0fc84523f6a7a9d2fa955bb8b778420f">TypesForAnalysis.h</a>
</li>
<li>SubLevelProperties
: <a class="el" href="_types_for_analysis_8h.html#ae59cf2cef40a51fccff01e10d82634c5">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TextPosAnalysis
: <a class="el" href="_types_for_analysis_8h.html#a9052295d88fbdf43fb395e8d9d8406dc">TypesForAnalysis.h</a>
</li>
<li>TkPair
: <a class="el" href="_types_for_analysis_8h.html#a179c048770a0129be6a087a8d004c3dd">TypesForAnalysis.h</a>
</li>
<li>TokenLocationInfo
: <a class="el" href="_types_for_analysis_8h.html#a6cc694e8bd36d38d0b861365a60f7e1c">TypesForAnalysis.h</a>
</li>
<li>TotalLocationInfo
: <a class="el" href="_types_for_analysis_8h.html#a6dd728bbd6be61152b1b94bf08fcc782">TypesForAnalysis.h</a>
</li>
<li>TypeProperties
: <a class="el" href="_types_for_analysis_8h.html#a37180364c076e1fdc8114b67f2c03449">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>UnaryOperatorProperties
: <a class="el" href="_types_for_analysis_8h.html#a61d7ada4335ec70f7065c655f6c3295b">TypesForAnalysis.h</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>VarDeclMemory
: <a class="el" href="_types_for_analysis_8h.html#a457199cdd434dfda566ee082fc879b3a">TypesForAnalysis.h</a>
</li>
<li>VarDeclProperties
: <a class="el" href="_types_for_analysis_8h.html#a8f5a79c0e556a35ac1630db819df49e7">TypesForAnalysis.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
